unit Unit2;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Quickrep, ExtCtrls, Qrepedit;

type
  TForm2 = class(TForm)
    QuickReport1: TQuickReport;
    AQREditor1: TAQREditor;
    AQRBand1: TAQRBand;
    AQRBand2: TAQRBand;
    AQRLabel1: TAQRLabel;
    AQRShape1: TAQRShape;
    AQRLabel2: TAQRLabel;
    AQRMemo1: TAQRMemo;
    AQRShape2: TAQRShape;
    procedure AQREditor1PrintPreview(Sender: TObject);
    procedure AQREditor1GetFieldFormats(Sender: TObject;
      const FieldName: String; FieldFormats: TStrings);
    procedure AQREditor1GetFieldNames(Sender: TObject;
      FieldNames: TStrings);
    procedure AQREditor1FormatValue(Sender: TObject;
      const FormatStr: String; ValueType: TFormatValueType;
      ValuePtr: Pointer; var ResultStr: OpenString);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}

procedure TForm2.AQREditor1PrintPreview(Sender: TObject);
begin
  AQREditor1.SetFieldFloat('Number',150);
  AQREditor1.SetFieldDateTime('Today',Now);
end;

procedure TForm2.AQREditor1GetFieldFormats(Sender: TObject;
  const FieldName: String; FieldFormats: TStrings);
begin
  if FieldName='Number' then
  begin
    FieldFormats.Add('#,###,###,##0 "$"');
    FieldFormats.Add('Words');
  end
  else if FieldName='Today' then
  begin
    FieldFormats.Add('d mmmm yyyy');
    FieldFormats.Add('dddd dd/mm/yy hh:nn');
  end
end;

procedure TForm2.AQREditor1GetFieldNames(Sender: TObject;
  FieldNames: TStrings);
begin
  FieldNames.Add('Number');
  FieldNames.Add('Today');
end;

procedure TForm2.AQREditor1FormatValue(Sender: TObject;
  const FormatStr: String; ValueType: TFormatValueType; ValuePtr: Pointer;
  var ResultStr: OpenString);
begin
  if FormatStr='Words' then
  begin
    ResultStr:='Hundred fifty dollars';
  end
  else
    (Sender as TAQREditor).DefaultFormatValue(FormatStr,ValueType,ValuePtr,ResultStr);
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  AQREditor1.LoadReport;
  Close;
end;

end.
